<template>
  <div class="owl">
    <div
      style="position: relative; border-radius: 5px; padding: 0 0 23px 0; overflow: hidden">
      <transition v-for="(item, id) in items" :key="id" name="slide">
        <a v-show="id === currentElement * 2 | id === currentElement * 2 + 1"
           :href="`https://webbankir.com${item.link}`"
           class="href"
           :class="{padded: id % 2 === 1}">
          {{item.message}}
        </a>
      </transition>
    </div>
  </div>
</template>

<script>
  // transform: translate3d(-22574px, 0px, 0px); transition: all 1.2s ease 0s; width: 33339px;
  export default {
    name: 'city-slider',
    props: {
      items: {
        required: true
      }
    },
    data () {
      return {
        length: this.items.length / 2,
        currentElement: 0
      }
    },
    mounted () {
      setInterval(() => this.currentElement = this.currentElement + 1 < this.length ? this.currentElement + 1 : 0, 4000)
    }
  }
</script>

<style scoped>
  .href {
    position: absolute;
    text-decoration: none;
    padding: 0 4px;
    display: inline-block;
    border-radius: 5px;
    width: 49%;
    text-align: center;
    background-color: rgb(66, 71, 73);
  }

  .padded {
    left: 50%;
  }

  .slide-enter-active {
    transition: all 1.2s ease-in;
  }

  .slide-leave-active {
    transition: all 1.2s ease-in;
  }

  .slide-enter {
    /* .slide-fade-leave-active до версии 2.1.8 */
    transform: translateX(-400px);
  }

  .slide-leave-to {
    transform: translateX(400px);
  }
</style>
